Bug 65826 - libpng error: invalid stored block lengths
libpng error: invalid stored block lengths
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.2
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-01 14:43 EDT by Nancy
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:54:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nancy 2002-06-01 14:43:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (Windows NT 5.0; U)

Description of problem:
I am using a boxed set of RedHat Linux 7.2, brand new, with CDs.
Installer crashes at same point every time during package installation.
This may be the same problem as #65581 (happens at about the same point).
It goes about 50% of the way through package installation, then I get a BSOD (blue screen of death) followed by this text:
Running anaconda - please wait...
Probing for video card: SiS630
Probing for monitor type: unable to probe
Probing for mouse type: Generic - 2 button mouse (serial)
Attempting to start framebuffer based X server
Waiting for X server to start...log located in /tmp/X.log
1...2...3...4...5....X server started successfully
libpng error: invalid stored block lengths
install exited abnormally

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. reinstall from CD
2.
3.
	

Actual Results:  crash

Expected Results:  not crash

Additional info:
Comment 1 Michael Fulbright 2002-06-04 10:44:31 EDT
That almost certainly is due to a bad CD.  I would recommend you get a
replacement CD.
Comment 2 Nancy 2002-06-04 16:52:06 EDT
Got new set of CDs from store.
same problem at same point, but now it gives a bit more info:
X server started successfully
install exited abnormally
sending terminatino signals...done
sending kill signals...<6<md: recovery thread got woken up...
md: recovery thread finished
md: mdrecovery(8) flushing signals
done
disabling swap...
/tmp/hda3
unmounting file systems...
/mnt/runtime unmount failed (16)
disabling /dev/loop0 LOOP_CLR_FD failed:16
/proc/bus/usb done
/proc done
/dev/pts done
/mnt/source done
/mnt/sysimage/boot done
/mnt/sysimage/dev/pts done
/mnt/sysimage/proc done
/mnt/sysimage unmount failed (16)
ejecting /tmp/cdrom
you may safely reboot your system

Now what?
Comment 3 Michael Fulbright 2002-06-06 12:47:17 EDT
If you hit cntl-alt-f4 and look on VC4, do you see any errors related to your
CD.  They are pretty obvious usually.
Comment 4 Nancy 2002-06-11 16:12:48 EDT
At what point should I invoke this key command?
I get nothing when I press ctrl-alt-f4 at any point during the install, or at any point if it freezes or BSODs or when it lists the errors on the screen.

And as I'm getting tired of driving to the store to get yet another boxed set of CDs, is there any way to download this program without purchasing it 
yet again?
Comment 5 Nancy 2002-06-12 18:08:57 EDT
More info:
Now it just locks up during package installation, and it won't let me got to
ctl-alt f4 or f3, but if I keep it in ctl-alt-f4 mode during the whole
install then I can see what's happening. It gets stuck and the last messages
are:

hda: timeout waiting for DMA
ide_dmaproc: chipset supported ide_dma_timeout func only: 14

If this is ANOTHER CD problem, please tell me how I can download this program
from your website without having to 
buy yet another copy. The only store in town that sells RedHat Linux is
Staples, and I have bought or swapped out both of
their copies and I can't get another copy here in town.

BTW I also have this in to the redhat support ticket center, I'm not sure which 
one of you is more official but they seem to insist on calling me "Sir" even 
though I thought I was a woman....
Comment 6 Nancy 2002-06-13 15:43:37 EDT
Newest suggestions from other redhat site which didn't work:
[1] when installing with command text ide=nodma apm=off nousb
                           crashes at same point
                           error messages as follows:
                           Code: Bad EIP value
                           <0> Kernel panic: Aiee, killing interrupt handler
                           In interrupt handler - not syncing

[2] when installing with command text ide=noautotune apm=off nousb
                           crashes at same point
                           error messages as follows:
                           Code: f3 66 6d 83 c4 08 5b 5e 5f c3 89 f6 57 56 53 83 ec 14 8b
                           <0> Kernel panic: Aiee, killing interrupt handler
                           In interrupt handler - not syncing

Help!
Comment 7 Nancy 2002-06-19 12:09:06 EDT
latest suggestions from redhat but unfortunately these don't work either:
linux text noathlon
or
linux mem=nopentium text
or
linux mem=510 text

still results in a kernel panic and killing the interrupt handler (not syncing)

I have no idea what to do now.......

System specs: Athlon 1.7 processor, K7SEM motherboard w/ integrated video (SiS730) and audio. RH INstaller probes the video as SiS630 
though...
Comment 8 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated
Comment 9 Jeremy Katz 2006-04-24 14:54:45 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.